using System;

class Program
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int N = int.Parse(s[0]);
        int L = int.Parse(s[1]);
        string[] s1 = Console.ReadLine().Split();

        for(int i = 0; i < N; i++)
        {
            int p = int.Parse(s1[i]);
            if (p <= L)
            {
                Console.WriteLine(i+1);
                return;
            }
        }
        Console.WriteLine(-1);
    }
}